// Copyright (c) 2016, Ravi Teja Gudapati. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

/// Session management interceptors and utilities for Jaguar web framework
///
/// This package declares `SessionManager` interface that all session managers
/// should implement.
///
/// It also provides few basic SessionManagers:
/// 1. CookieSession
/// Stores all session data on a Cookie
/// 2. JwtCookieSession
/// Stores all session as JWT token on a Cookie
/// 2. JwtAuthHeaderSession
/// Stores all session as JWT token on `authorization` header
library jaguar_session;

export 'src/session.dart';
